    Program x04bbfe

!     X04BBF Example Program Text

!     Mark 24 Release. NAG Copyright 2012.

!     .. Use Statements ..
      Use nag_library, Only: nag_wp, x04bbf
!     .. Implicit None Statement ..
      Implicit None
!     .. Parameters ..
      Integer, Parameter               :: nin = 5, nout = 6
!     .. Local Scalars ..
      Real (Kind=nag_wp)               :: x
      Integer                          :: i, ifail
      Character (40)                   :: recin
!     .. Executable Statements ..
      Write (nout,*) 'X04BBF Example Program Results'

!     Skip heading in data file
      Call x04bbf(nin,recin,ifail)

      Write (nout,*)

!     Read in values of I and X, then write them.

      Call x04bbf(nin,recin,ifail)

      Read (recin,99999) i, x

      Write (nout,99998) i, x

99999 Format (I3,F7.3)
99998 Format (1X,I5,F11.3)
    End Program x04bbfe
